/// <reference types="supertest" />
import { IMidwayApplication, IMidwayFramework } from '@midwayjs/core';
import { ApiFunction, ProjectConfig } from '@midwayjs/hooks-core';
export declare type CreateAppOption = {
    root?: string;
};
export declare function createApp<T extends IMidwayFramework<any, U>, U = T['configurationOptions'] & CreateAppOption>(options?: U): Promise<HooksApplication>;
export declare function createFunctionApp<T extends IMidwayFramework<any, U>, U = T['configurationOptions'] & CreateAppOption>(options?: U): Promise<HooksApplication>;
export declare class HooksApplication {
    private readonly app;
    private config;
    constructor(app: IMidwayApplication<any>, config: ProjectConfig);
    runFunction<T extends ApiFunction>(fn: T, ...args: Parameters<T>): Promise<ReturnType<T>>;
    request<T extends ApiFunction>(fn: T, ...args: Parameters<T>): import("supertest").Test;
    close(): Promise<void>;
}
